Enable networking on all reasonable interfaces

Because Buildroot only comes with support for one interface by default
(and because it only enables DHCPv4, not anything related to IPv6),
let's use this approach to enable all wired interfaces.

Tested on a Geode, it works.

Change-Id: I518db7d04a879b337039d51bfd9d8e0edb171f43
diff --git a/board/czechlight/common/dhcp-network.sh b/board/czechlight/common/dhcp-network.sh
new file mode 100755
index 0000000..88e6cc4
--- /dev/null
+++ b/board/czechlight/common/dhcp-network.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -eux -o pipefail
+shopt -s failglob
+
+for IFACE in eth0 enp0s13 enp0s14; do
+  cat <<EOF > ${TARGET_DIR}/usr/lib/systemd/network/${IFACE}.network
+[Match]
+Name=${IFACE}
+[Network]
+DHCP=yes
+EOF
+done